Package com.collibra.dgc.core.api.dto.assignment

# Class ChangeAssignmentRequest

Object
ChangeAssignmentRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeAssignmentRequest extends Object implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ChangeAssignmentRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeAssignmentRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeAssignmentRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<@NotNull @Valid ArticulationRuleRequest>`
  `getArticulationRules()`
  The articulation rule definitions.
  `UUID`
  `getAssignmentId()`
  Required. The ID of the assignment to change.
  `List<@NotNull @Valid CharacteristicTypeAssignmentReference>`
  `getCharacteristicTypes()`
  The list of characteristic types to be assigned, along with their assignment modalities.
  `List<@NotNull UUID>`
  `getDataQualityRuleIds()`
  Deprecated.
  The list of data quality rule IDs will be removed in the future.
  `UUID`
  `getDefaultStatusId()`
  Deprecated.
  `List<@NotNull UUID>`
  `getDomainTypeIds()`
  The list of IDs of the domain types.
  `UUID`
  `getScopeId()`
  Deprecated.
  The ID of the scope is ignored, and will be removed in the future.
  `List<@NotNull UUID>`
  `getStatusIds()`
  The list of IDs of the statuses.
  `List<@NotNull UUID>`
  `getValidationRuleIds()`
  The list of IDs of the validation rules.
  `int`
  `hashCode()`
  `void`
  `setArticulationRules(List<@NotNull @Valid ArticulationRuleRequest> articulationRules)`
  The articulation rule definitions.
  `void`
  `setAssignmentId(UUID assignmentId)`
  Required. The ID of the assignment to change.
  `void`
  `setCharacteristicTypes(List<@NotNull @Valid CharacteristicTypeAssignmentReference> characteristicTypes)`
  The list of characteristic types to be assigned, along with their assignment modalities.
  `void`
  `setDataQualityRuleIds(List<@NotNull UUID> dataQualityRuleIds)`
  Deprecated.
  The list of data quality rule IDs will be removed in the future.
  `void`
  `setDefaultStatusId(UUID defaultStatusId)`
  Deprecated.
  `void`
  `setDomainTypeIds(List<@NotNull UUID> domainTypeIds)`
  The list of IDs of the domain types.
  `void`
  `setScopeId(UUID scopeId)`
  Deprecated.
  The ID of the scope is ignored, and will be removed in the future.
  `void`
  `setStatusIds(List<@NotNull UUID> statusIds)`
  The list of IDs of the statuses.
  `void`
  `setValidationRuleIds(List<@NotNull UUID> validationRuleIds)`
  The list of IDs of the validation rules.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeAssignmentRequest

    public ChangeAssignmentRequest()

- ## Method Details

  - ### builder

    public static ChangeAssignmentRequest.Builder builder()

  - ### getAssignmentId

    public UUID getAssignmentId()
    Required. The ID of the assignment to change.

  - ### getStatusIds

    public List<@NotNull UUID> getStatusIds()
    The list of IDs of the statuses. The first element in the list is used as default status id.

  - ### getCharacteristicTypes

    public List<@NotNull @Valid CharacteristicTypeAssignmentReference> getCharacteristicTypes()
    The list of characteristic types to be assigned, along with their assignment modalities.

  - ### getArticulationRules

    public List<@NotNull @Valid ArticulationRuleRequest> getArticulationRules()
    The articulation rule definitions.

  - ### getValidationRuleIds

    public List<@NotNull UUID> getValidationRuleIds()
    The list of IDs of the validation rules.

  - ### getDataQualityRuleIds

    @Deprecated public List<@NotNull UUID> getDataQualityRuleIds()
    Deprecated.
    The list of data quality rule IDs will be removed in the future.
    The list of IDs of the data quality rules.

  - ### getDomainTypeIds

    public List<@NotNull UUID> getDomainTypeIds()
    The list of IDs of the domain types.

  - ### getDefaultStatusId

    @Deprecated public UUID getDefaultStatusId()
    Deprecated.
    The ID of the default status for the asset type. This property will be ignored. The default status is the first status in the list of assigned statuses of the assignment.

  - ### getScopeId

    @Deprecated public UUID getScopeId()
    Deprecated.
    The ID of the scope is ignored, and will be removed in the future.
    The ID of the scope the assignment corresponds to.

  - ### setAssignmentId

    public void setAssignmentId(UUID assignmentId)
    Required. The ID of the assignment to change.

  - ### setStatusIds

    public void setStatusIds(List<@NotNull UUID> statusIds)
    The list of IDs of the statuses. The first element in the list is used as default status id.

  - ### setCharacteristicTypes

    public void setCharacteristicTypes(List<@NotNull @Valid CharacteristicTypeAssignmentReference> characteristicTypes)
    The list of characteristic types to be assigned, along with their assignment modalities.

  - ### setArticulationRules

    public void setArticulationRules(List<@NotNull @Valid ArticulationRuleRequest> articulationRules)
    The articulation rule definitions.

  - ### setValidationRuleIds

    public void setValidationRuleIds(List<@NotNull UUID> validationRuleIds)
    The list of IDs of the validation rules.

  - ### setDataQualityRuleIds

    @Deprecated public void setDataQualityRuleIds(List<@NotNull UUID> dataQualityRuleIds)
    Deprecated.
    The list of data quality rule IDs will be removed in the future.
    The list of IDs of the data quality rules.

  - ### setDomainTypeIds

    public void setDomainTypeIds(List<@NotNull UUID> domainTypeIds)
    The list of IDs of the domain types.

  - ### setDefaultStatusId

    @Deprecated public void setDefaultStatusId(UUID defaultStatusId)
    Deprecated.
    The ID of the default status for the asset type. This property will be ignored. The default status is the first status in the list of assigned statuses of the assignment.

  - ### setScopeId

    @Deprecated public void setScopeId(UUID scopeId)
    Deprecated.
    The ID of the scope is ignored, and will be removed in the future.
    The ID of the scope the assignment corresponds to.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`